Subject: Re: bug#32591: 26.1; Ido-find-file does not intuitiely support tramp

From: Michael Albinus <[email-masked]>
Date: Thu, 30 Aug 2018 17:19:11 +0200

Joshua Branson <[email-masked]> writes:

Hi Joshua,

> 1)  Default Emacs Tramp and Ido mode have non-intuitive ways of
> searching for a remote file.
>
> M-x ido-find-file 
>
> "Find File: ~//ssh:joshua@localhost#2222"  TAB does not prompt me for a
> password.  Instead I just see "[No Match]".

There's no way to know that it is a remote file name. The second colon
is missing.

I bet, that typing "Find File: ~//ssh:joshua@localhost#2222:" gives you
what you want.

> 2)  Default Emacs Tramp and Ido mode have non-intuitive ways of opening
> remote files.
>
> M-x ido-find-file
>
> "Find File: ~//ssh:joshua@localhost#2222:/home/joshua/hello"
>
> Sometimes opens a local file instead of opening a remote file.  I can't
> reliably reproduce this behavior though.

This is more interesting. But I would need a reliable recipe to see the problem.

> 3)  Ido grays out the initial "~/" if one starts to type out tramp
> syntax, but un-greys out those characters when it shouldn't.
>
> Type the following in ido-find-file
>
> "Find File:  ~//ssh:joshua@localhost#2222"
>
> "~/" is greyed out.

Ido greys out "~/" because of the double slash. It has nothing to do with
a remote file name. Again, there is no remote file name, only a string
which might be a remote file name when it is complete.

> Type a : to specify a path and watch the "~/" get un-greyed out.

That seems to be an ido problem. With plain "M-x find-file" I cannot
reproduce it.

However, even if this grey out does not work as expected, I believe that
opening the file (after entering RET) still works as expected.

> Thanks for listening

Best regards, Michael.